Class | Association
In: | lib/facets/more/association.rb
Parent: | Object

# Association

Gerenal binary association allows one object to be associated with another. It has a variety of uses, link-lists, simple ordered maps and mixed collections, among them.

## Usage

Associations can be used to draw simple relationships.

      :Apple >> :Fruit
      :Apple >> :Red

      :Apple.associations #=> [ :Fruit, :Red ]

It can also be used for simple lists of ordered pairs.

      c = [ :a >> 1, :b >> 2 ]
      c.each { |k,v| puts "#{k} associated with #{v} }

produces

      a associated with 1
      b associated with 2

## Limitations

The method :>> is used to construct the association. It is a rarely used method so it is generally available. But you can‘t use an Association while extending any of the following classes becuase they use #>> for other things.

      Bignum
      Fixnum
      Date
      IPAddr
      Process::Status

### Methods

<=> [] inspect invert! new to_ary to_s

### Included Modules

Comparable

### Attributes

index | [RW] |
value | [RW] |

### Public Class methods

[](*args)
new(index, value=nil)

### Public Instance methods

<=>(assoc)
inspect()
invert!()
to_ary()
to_s()

[Validate]